package com.egg.datasource.dao.entity;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;

@Entity
@Table(name = "weight_information")
@Data
@Accessors(chain = true)
public class WeightInformationEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "id", nullable = false)
    private String id;

    @Column(name = "serial_number")
    private String serialNumber;

    @Column(name = "stationid")
    private String stationid;

    @Column(name = "stationname")
    private String stationname;

    @Column(name = "car_number")
    private String carNumber;

    @Column(name = "vin_number")
    private String vinNumber;

    @Column(name = "pound_type")
    private String poundType;

    @Column(name = "consigner")
    private String consigner;

    @Column(name = "consignee")
    private String consignee;

    @Column(name = "variety")
    private String variety;

    @Column(name = "specification")
    private String specification;

    @Column(name = "gross_weight")
    private BigDecimal grossWeight;

    @Column(name = "tare_weight")
    private BigDecimal tareWeight;

    @Column(name = "net_weight")
    private BigDecimal netWeight;

    @Column(name = "deduction_weight")
    private BigDecimal deductionWeight;

    @Column(name = "actual_weight")
    private BigDecimal actualWeight;

    @Column(name = "price")
    private BigDecimal price;

    @Column(name = "money")
    private BigDecimal money;

    @Column(name = "coefficient")
    private BigDecimal coefficient;

    @Column(name = "capacity")
    private BigDecimal capacity;

    @Column(name = "weighing_charges")
    private BigDecimal weighingCharges;

    @Column(name = "gross_weighman")
    private String grossWeighman;

    @Column(name = "tare_weighman")
    private String tareWeighman;

    @Column(name = "gross_pound_number")
    private String grossPoundNumber;

    @Column(name = "tare_pound_number")
    private String tarePoundNumber;

    @Column(name = "gross_weight_time")
    private String grossWeightTime;

    @Column(name = "tare_weight_time")
    private String tareWeightTime;

    @Column(name = "first_weighing_time")
    private String firstWeighingTime;

    @Column(name = "second_weighing_time")
    private String secondWeighingTime;

    @Column(name = "weighing_time")
    private String weighingTime;

    @Column(name = "update_user")
    private String updateUser;

    @Column(name = "update_time")
    private String updateTime;

    @Column(name = "remarks")
    private String remarks;

    @Column(name = "times_of_prints")
    private Integer timesOfPrints;

    @Column(name = "is_upload")
    private Boolean upload;

    @Column(name = "is_upload2")
    private Boolean upload2;

    @Column(name = "is_upload3")
    private Boolean upload3;

    @Column(name = "is_upload_cloud")
    private Boolean uploadCloud;

    @Column(name = "data_status")
    private String dataStatus;

    @Column(name = "memo1")
    private String memo1;

    @Column(name = "memo2")
    private String memo2;

    @Column(name = "memo3")
    private String memo3;

    @Column(name = "memo4")
    private String memo4;

    @Column(name = "memo5")
    private String memo5;

    @Column(name = "memo6")
    private String memo6;

    @Column(name = "memo7")
    private String memo7;

    @Column(name = "memo8")
    private String memo8;

    @Column(name = "memo9")
    private String memo9;

    @Column(name = "memo10")
    private String memo10;

    @Column(name = "memo11")
    private String memo11;

    @Column(name = "memo12")
    private String memo12;

    @Column(name = "memo13")
    private String memo13;

    @Column(name = "memo14")
    private String memo14;

    @Column(name = "memo15")
    private String memo15;

    @Column(name = "memo16")
    private String memo16;

    @Column(name = "memo17")
    private String memo17;

    @Column(name = "memo18")
    private String memo18;

    @Column(name = "memo19")
    private String memo19;

    @Column(name = "memo20")
    private String memo20;

    @Column(name = "memo21")
    private String memo21;

    @Column(name = "weighing_type")
    private String weighingType;

    @Column(name = "uploadKdState")
    private Integer uploadKdState;

    @Column(name = "uploadKdState2")
    private Integer uploadKdState2;

    @Column(name = "uploadKdState3")
    private Integer uploadKdState3;

    @Column(name = "upload_time")
    private String uploadTime;

    @Column(name = "transferdatasign")
    private Integer transferdatasign;

    @Column(name = "transferdatatime")
    private Timestamp transferdatatime;

    @Column(name = "transferpicsign")
    private Integer transferpicsign;

    @Column(name = "transferpictime")
    private Timestamp transferpictime;

    @Column(name = "uploadZcState")
    private Integer uploadZcState;

    @Column(name = "uploadMeterState")
    private Integer uploadMeterState;

    @Column(name = "unit1")
    private String unit1;

    @Column(name = "order_serial")
    private String orderSerial;

    @Column(name = "car_serial")
    private String carSerial;

    @Column(name = "loadingStatus")
    private Integer loadingStatus;

    @Column(name = "pay_scan")
    private String payScan;

    @Column(name = "consignerId")
    private String consignerId;

    @Column(name = "entranceGuardNo")
    private String entranceGuardNo;

    @Column(name = "weight_timestamp")
    private String weightTimestamp;

}
